Skip to main content
PATCH
/
locations
/
{location_id}
/
jobs
/
{job_id}
/
additional_items
/
{job_item_id}
Update Additional Item
curl --request PATCH \
  --url https://api.crosoftware.com/v0/locations/{location_id}/jobs/{job_id}/additional_items/{job_item_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'x-tenant-id: <x-tenant-id>' \
  --data '
{
  "completed": true,
  "declined": true,
  "deduct_weight": "<string>",
  "description": "<string>",
  "failed": true,
  "heavy_weight": "<string>",
  "light_weight": "<string>",
  "material_item_id": 123,
  "notes": "<string>",
  "quantity": "<string>"
}
'
import requests

url = "https://api.crosoftware.com/v0/locations/{location_id}/jobs/{job_id}/additional_items/{job_item_id}"

payload = {
"completed": True,
"declined": True,
"deduct_weight": "<string>",
"description": "<string>",
"failed": True,
"heavy_weight": "<string>",
"light_weight": "<string>",
"material_item_id": 123,
"notes": "<string>",
"quantity": "<string>"
}
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PATCH',
headers: {
'x-tenant-id': '<x-tenant-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
completed: true,
declined: true,
deduct_weight: '<string>',
description: '<string>',
failed: true,
heavy_weight: '<string>',
light_weight: '<string>',
material_item_id: 123,
notes: '<string>',
quantity: '<string>'
})
};

fetch('https://api.crosoftware.com/v0/locations/{location_id}/jobs/{job_id}/additional_items/{job_item_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "deduct_weight": "<string>",
  "description": "<string>",
  "heavy_weight": "<string>",
  "id": 123,
  "is_completed": true,
  "is_declined": true,
  "is_failed": true,
  "job_id": 123,
  "light_weight": "<string>",
  "material_item_id": 123,
  "notes": "<string>",
  "quantity": "<string>",
  "required": true
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

x-api-version
string

Version identifier (date format).

x-tenant-id
integer<int64>
required

Tenant identifier. Contact CRO Software for more info if you don't already have this id. See list tenant ids for info on listing the tenants you have access to.

Path Parameters

location_id
integer<int64>
required

Location identifier.

job_id
integer<int64>
required

Job identifier.

job_item_id
integer<int64>
required

Additional item identifier.

Body

application/json

Updated job item.

completed
boolean

Completion flag.

declined
boolean

Declined flag.

deduct_weight
string
description
string

Item description.

failed
boolean

Failed flag.

heavy_weight
string
light_weight
string
material_item_id
integer<int64>

Material item identifier.

notes
string

Item notes.

quantity
string

Item quantity.

Response

200 - application/json

Success

Job item.

deduct_weight
string
required
description
string
required

Item description.

heavy_weight
string
required
id
integer<int64>
required

Additional item identifier.

is_completed
boolean
required

Completion flag.

is_declined
boolean
required

Declined flag.

is_failed
boolean
required

Failed flag.

job_id
integer<int64>
required

Job identifier.

light_weight
string
required
material_item_id
integer<int64>
required

Material item identifier.

notes
string
required

Item notes.

quantity
string
required

Item quantity.

required
boolean
required

Item required when TRUE.